@font-face{
    font-family: 'Baloo';
    src: url("../fonts/Baloo-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

body, html{
    margin: 0;
    min-height: 100svh;
    padding: 0;
    font-family: Baloo, sans-serif;
    background-color: var(--gs-primary-color);
    overflow-x: hidden;
}

a{
    text-decoration: none;
    color: inherit;
}

/*---------------*/
/*-----------------COLORS*/
/*--------------*/
:root {
    --bm-text-color: #ffffff;
    --gs-primary-color: #FCF8E9;
    --gs-secondary-color: #C8A1E0;
    --bm-hover-color: #A0C4FF;
    --bm-block: #1c1a1a;
}

/*---------------*/
/*-----------------CONTAINER*/
/*--------------*/
.gs_container{
    margin: 0 10vw;
}

section{
    margin: 2vw 0;
}

/*-----TOPBAR-----*/
@keyframes scroll {
    0% {
        transform: translateX(100%); /* Début hors écran à droite */
    }
    100% {
        transform: translateX(-100%); /* Fin hors écran à gauche */
    }
}

.gs_topbar{
    background-color: var(--gs-secondary-color);
    height: 40px;
    display: flex;
    align-items: center;
    overflow: hidden;
    width: 100%;
}

.gs_topbar_scroll{
    width: 100%;
    display: flex;
    justify-content: space-between;
    white-space: nowrap; /* Empêche le texte de se mettre à la ligne */
    animation: scroll 30s linear infinite; /* Animation continue */
}


/*-----NAVBAR-----*/
.gs_nav{
    background-color: var(--gs-primary-color);
}

.gs_nav_content{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.gs_nav_main{
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid lightgray;
    width: 100%;
    height: 120px;
}

.gs_nav_brand{
    width: fit-content;
}

.gs_nav_brand img{
    width: 300px;
    height: auto;
}

.gs_nav_links{
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 100%;
    gap: 20px;
    height: 40px;
}



.gs_nav_links a{
    position: relative;
}

.gs_nav_links a:hover{
    color: var(--gs-secondary-color);
}

.gs_nav_links a::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 2px;
    background-color: var(--gs-secondary-color);
    transition: width 0.5s ease;
}

.gs_nav_links a:hover::before {
    width: 100%; /* Passe de 0 à 100% sur hover */
}

.gs_nav_otherlinks{
    display: flex;
    gap: 10px;
}

.gs_nav_otherlinks a{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 0.6rem;
}

.gs_nav_otherlinks img{
    width: 40px;
}

/*SEARCHBAR-*/

.gs_searchbar{
    width: 110px;
}

.gs_searchbar img{
    width: 40px;
}


/*BURGER NAV*/
#gs_open_menu{
    display: none;
    width: 30px;
}

.gs_burger_menu{
    flex-direction: column;
    height: 100svh;
    width: 90vw;
    position: absolute;
    top: 0;
    background-color: white;
    z-index: 100;
}

.hide{
    display: none;
}

.show{
    display: flex;
}

.gs_burger_menu ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.gs_burger_brand{
    background-color: #1c1a1a;
    color: white;
    margin: 0;
    padding: 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.gs_burger_brand img{
    width: 30px;
    height: 30px;
}

.gs_burger_element{
    border-bottom: 1px solid grey;
}

.gs_burger_element a{
    display: flex;
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
    cursor: pointer;
}


/*-----SLIDER-----*/
.gs_slider{
    display: flex;
    flex-direction: column;
    height: 70svh;
    justify-content: center;
}

.gs_slider_poster{
    width: 100%;
}

.gs_slider_video{
    width: 100%;
}

.gs_arrow{
    width: fit-content;
    position: absolute;
    z-index: 10;
    background-color: rgba(255, 255, 255, 0);
    border: none;
    cursor: pointer;
}

.gs_arrow_left{
    left: 0;
}

.gs_arrow_right{
    right: 0;
}

.gs_slider_button img{
    width: 100px;
}

/*-----PRODUCT_CARDS-----*/
.gs_card{
    border: 2px solid var(--gs-primary-color);
    border-radius: 10px;
    background-color: var(--gs-secondary-color);
    width: 300px;
    position: relative;
}

.gs_card:hover{
    cursor: pointer;
}

.gs_card_img{
    width: 300px;
    height: 300px;
    border-radius: 10px 10px 0 0;
}

.gs_card_content{
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    padding: 5px;
}

.gs_card_content p {
    margin: 0;
    white-space: nowrap; /* Empêche le texte de se mettre à la ligne */
}

.gs_card_infos{
    display: flex;
    flex-direction: column;
}

.gs_card_price{
    background-color: var(--gs-secondary-color);
    border: 2px solid white;
    border-radius: 80px;
    padding: 5px;
    position: absolute;
    top: -10px;
    left: -10px;
}

/*---------------Form*/

.bm_form_container{
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.bm_form_container form{
    background-color: white;
    border: 2px solid var(--gs-secondary-color);
    border-radius: 10px;
    margin: 100px 0;
    width: 100%;
}

.bm_form_row{
    display: flex;
    flex-direction: column;
    margin: 20px 0;
}

.bm_form_widget{
    padding: 10px;
    width: 100%;
    border-radius: 5px;
    box-sizing: border-box;
    background-color: var(--gs-primary-color);
}

.bm_form_label{
    color: var(--gs-secondary-color);
}

.bm_form_submit{
    width: 50%;
    background-color: var(--gs-primary-color);
    color: var(--gs-secondary-color);
    padding: 10px;
    border-radius: 10px;
    display: flex;
    margin: auto;
    margin-top: 20px;
    justify-content: center;
    cursor: pointer;
}

/*---------------Alert messages*/

.bm_alert_alert{
    display: flex;
    width: 100%;
    justify-content: center;
    background-color: rosybrown;
    color: #3c0101;
    padding: 10px;
    border-radius: 10px;
    border: 2px solid #ffdda1;
}

.bm_alert_success{
    display: flex;
    width: 100%;
    justify-content: center;
    background-color: #14c514;
    color: #025302;
    padding: 10px;
    border-radius: 10px;
    border: 2px solid #ffdda1;
}

/*---------------Dropdown*/

#bm_dropdown_activator{
    cursor: pointer;
}

#bm_dropdown_menu{
    flex-direction: column;
    position: absolute;
    top: 0;
    background-color: var(--gs-secondary-color);
    width: 20vw;
    padding: 0;
    margin: 0;
    z-index: 20;
}

.bm_dropdown_element{
    padding-left: 20px;
    list-style-type: none;
}

.bm_dropdown_element:hover{
    background-color: white;
}

.bm_dropdown_link{
    width: 100%;
    display: inline-flex;
    padding: 10px 0;
    text-decoration: none;
    color: var(--gs-primary-color);
    font-size: 1.5rem;
    font-weight: bolder;
}

.hideDropdown{
    right: -20vw;
    transition: right 0.6s ease 0s;
}

.showDropdown{
    right: 0;
    transition: right 0.6s ease 0s;
}

/*-----Buttons-----*/

.modernButton{
    border-radius: 10px;
    padding: 10px;
    background-color: var(--gs-secondary-color);
    color: white;
    cursor: pointer;
    border: 2px solid white;
    margin: 0 10px;
}

